## gvmd 9.0.1

=== CMakeLists.txt ===
# Copyright (C) 2009-2019 Greenbone Networks GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

cmake_minimum_required (VERSION 3.0)

message ("-- Configuring Greenbone Vulnerability Manager...")

# VERSION: Set patch version for stable releases, e.g. "9.0.0",
#          unset patch version for prereleases, e.g. "9.0"
project (gvm
         VERSION 9.0.1
         LANGUAGES C)

if (POLICY CMP0005)
  cmake_policy (SET CMP0005 NEW)
endif (POLICY CMP0005)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include (FindPkgConfig)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Debug)
endif (NOT CMAKE_BUILD_TYPE)

OPTION (ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
OPTION (DEBUG_FUNCTION_NAMES "Print function names on entry and exit" OFF)

## Retrieve git revision (at configure time)
include (GetGit)
if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
  if (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
    if (GIT_FOUND)
      Git_GET_REVISION(${CMAKE_SOURCE_DIR} ProjectRevision)
      set (GIT_REVISION "~git-${ProjectRevision}")
    else (GIT_FOUND)
      set (GIT_REVISION "~git")
    endif (GIT_FOUND)
  endif (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")

# set if this is in prerelease status, starting at 0 before first beta release,
# unset if this is a stable release series.
# set (PROJECT_BETA_RELEASE 0)

if (GIT_REVISION)
  set (PROJECT_VERSION_GIT "${GIT_REVISION}")
else (GIT_REVISION)
  set (PROJECT_VERSION_GIT "")
endif (GIT_REVISION)

# If PROJECT_BETA_RELEASE is set to "0", the version string will be set to:
#   "major.minor+alpha"
# If PROJECT_BETA_RELEASE is set otherwise, the version string will be set to:
#   "major.minor+beta${PROJECT_BETA_RELEASE}"
# If PROJECT_BETA_RELEASE is NOT set, the version string will be set to:
#   "major.minor.patch"
if (DEFINED PROJECT_BETA_RELEASE AND NOT PROJECT_BETA_RELEASE STREQUAL "")
  if (PROJECT_BETA_RELEASE STREQUAL "0")
    set (PROJECT_VERSION_SUFFIX "+alpha")
  else (PROJECT_BETA_RELEASE STREQUAL "0")
    set (PROJECT_VERSION_SUFFIX "+beta${PROJECT_BETA_RELEASE}")
  endif (PROJECT_BETA_RELEASE STREQUAL "0")
elseif (DEFINED PROJECT_VERSION_PATCH AND NOT PROJECT_VERSION_PATCH STREQUAL "")
  set (PROJECT_VERSION_SUFFIX ".${PROJECT_VERSION_PATCH}")
endif (DEFINED PROJECT_BETA_RELEASE AND NOT PROJECT_BETA_RELEASE STREQUAL "")

set (PROJECT_VERSION_STRING "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}${PROJECT_VERSION_SUFFIX}${PROJECT_VERSION_GIT}")

## CPack configuration

set (CPACK_CMAKE_GENERATOR "Unix Makefiles")
set (CPACK_GENERATOR "TGZ")
set (CPACK_INSTALL_CMAKE_PROJECTS ".;gvm;ALL;/")
set (CPACK_MODULE_PATH "")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set (CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
set (CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/README.md")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_TOPLEVEL_TAG "")
set (CPACK_SYSTEM_NAME "")
set (CPACK_TOPLEVEL_TAG "")

set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_GIT}")

set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_PACKAGE_VENDOR "Greenbone Networks GmbH")
set (CPACK_SOURCE_IGNORE_FILES
"${CMAKE_BINARY_DIR}"
"/.git/"
"swp$"
)

include (CPack)

## Variables

set (GVMD_DATABASE_VERSION 221)

set (GVMD_SCAP_DATABASE_VERSION 16)

set (GVMD_CERT_DATABASE_VERSION 6)

set (GMP_VERSION "9.0")

if (SYSCONF_INSTALL_DIR)
  set (SYSCONFDIR "${SYSCONF_INSTALL_DIR}")
endif (SYSCONF_INSTALL_DIR)

if (NOT SYSCONFDIR)
  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
endif (NOT SYSCONFDIR)

if (NOT EXEC_PREFIX)
  set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif (NOT EXEC_PREFIX)

if (NOT BINDIR)
  set (BINDIR "${EXEC_PREFIX}/bin")
endif (NOT BINDIR)

if (NOT SBINDIR)
  set (SBINDIR "${EXEC_PREFIX}/sbin")
endif (NOT SBINDIR)

if (NOT LIBDIR)
  set (LIBDIR "${EXEC_PREFIX}/lib")
endif (NOT LIBDIR)

if (NOT LOCALSTATEDIR)
  set (LOCALSTATEDIR "${CMAKE_INSTALL_PREFIX}/var")
endif (NOT LOCALSTATEDIR)

if (NOT DATADIR)
  set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

if (NOT INCLUDEDIR)
  set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")
endif (NOT INCLUDEDIR)

set (GVM_SYSCONF_DIR  "${SYSCONFDIR}/gvm")

set (GVM_DATA_DIR     "${DATADIR}/gvm")
if (NOT GVMD_DATA_DIR)
  set (GVMD_DATA_DIR  "${GVM_DATA_DIR}/gvmd")
endif (NOT GVMD_DATA_DIR)

if (NOT GVM_STATE_DIR)
  set (GVM_STATE_DIR    "${LOCALSTATEDIR}/lib/gvm")
else (NOT GVM_STATE_DIR)
  set (GVM_STATE_DIR "${GVM_STATE_DIR}")
endif (NOT GVM_STATE_DIR)

if (NOT GVMD_STATE_DIR)
  set (GVMD_STATE_DIR  "${GVM_STATE_DIR}/gvmd")
endif (NOT GVMD_STATE_DIR)

if (NOT GVM_LOG_DIR)
  set (GVM_LOG_DIR    "${LOCALSTATEDIR}/log/gvm")
else (NOT GVM_LOG_DIR)
  set (GVM_LOG_DIR    "${GVM_LOG_DIR}")
endif (NOT GVM_LOG_DIR)

set (GVM_SCAP_RES_DIR "${GVM_DATA_DIR}/scap")
set (GVM_CERT_RES_DIR "${GVM_DATA_DIR}/cert")
set (GVM_CA_DIR       "${GVMD_STATE_DIR}/trusted_certs")

if (NOT GVM_LIB_INSTALL_DIR)
	set (GVM_LIB_INSTALL_DIR     "${LIBDIR}")
else (NOT GVM_LIB_INSTALL_DIR)
	set (GVM_LIB_INSTALL_DIR "${GVM_LIB_INSTALL_DIR}")
endif (NOT GVM_LIB_INSTALL_DIR)

set (GVM_SCANNER_CERTIFICATE "${GVM_STATE_DIR}/CA/servercert.pem")
set (GVM_SCANNER_KEY         "${GVM_STATE_DIR}/private/CA/serverkey.pem")
set (GVM_CLIENT_CERTIFICATE  "${GVM_STATE_DIR}/CA/clientcert.pem")
set (GVM_CLIENT_KEY          "${GVM_STATE_DIR}/private/CA/clientkey.pem")
set (GVM_CA_CERTIFICATE      "${GVM_STATE_DIR}/CA/cacert.pem")

if (NOT GVM_RUN_DIR)
  set (GVM_RUN_DIR      "${LOCALSTATEDIR}/run")
endif (NOT GVM_RUN_DIR)

# TODO: Once we separate the RFP signatures out of "plugins" and
# into var/lib/gvm/rfpsigs/ (via a sync script) then we do not need
# to know about the NVT_DIR anymore.
if (NOT GVM_NVT_DIR)
	set (GVM_NVT_DIR "${LOCALSTATEDIR}/lib/openvas/plugins/")
endif (NOT GVM_NVT_DIR)

if (NOT GVM_ACCESS_KEY_DIR)
  set (GVM_ACCESS_KEY_DIR "${GVM_SYSCONF_DIR}")
endif (NOT GVM_ACCESS_KEY_DIR)

if (NOT GVM_CERT_DATA_DIR)
  set (GVM_CERT_DATA_DIR "${GVM_STATE_DIR}/cert-data")
endif (NOT GVM_CERT_DATA_DIR)

if (NOT GVM_SCAP_DATA_DIR)
  set (GVM_SCAP_DATA_DIR "${GVM_STATE_DIR}/scap-data")
endif (NOT GVM_SCAP_DATA_DIR)

# System username to use when dropping privileges
if (NOT GVM_DEFAULT_DROP_USER)
  set (GVM_DEFAULT_DROP_USER "")
endif (NOT GVM_DEFAULT_DROP_USER)

message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")

## Version

set (GVMD_VERSION "${PROJECT_VERSION_STRING}")

# Configure Doxyfile with version number
configure_file (doc/Doxyfile.in doc/Doxyfile)
configure_file (doc/Doxyfile_full.in doc/Doxyfile_full)
configure_file (doc/Doxyfile_xml.in doc/Doxyfile_xml)
configure_file (doc/example-gvm-manage-certs.conf.in doc/example-gvm-manage-certs.conf @ONLY)
configure_file (VERSION.in VERSION)
configure_file (src/gvmd_log_conf.cmake_in src/gvmd_log.conf)
configure_file (src/schema_formats/XML/GMP.xml.in src/schema_formats/XML/GMP.xml @ONLY)
configure_file (tools/greenbone-scapdata-sync.in tools/greenbone-scapdata-sync @ONLY)
configure_file (tools/greenbone-certdata-sync.in tools/greenbone-certdata-sync @ONLY)
configure_file (tools/gvm-portnames-update.in tools/gvm-portnames-update @ONLY)
configure_file (tools/gvm-migrate-to-postgres.in tools/gvm-migrate-to-postgres @ONLY)
configure_file (tools/gvm-manage-certs.in tools/gvm-manage-certs @ONLY)

## Testing

enable_testing ()

## Program

if (ENABLE_COVERAGE)
  set (COVERAGE_FLAGS "--coverage")
endif (ENABLE_COVERAGE)

if (DEBUG_FUNCTION_NAMES)
  # The excluded functions are for update_nvti_cache, which fills the log
  # quickly.  Hopefully this internal NVTi cache is removed soon.
  set (DEBUG_FUNCTION_NAMES_FLAGS "-finstrument-functions -finstrument-functions-exclude-function-list=iterator_string,sql_column_text,next,sql_exec_internal")
  set (LINKER_DEBUG_FLAGS "${CMAKE_DL_LIBS}")
endif (DEBUG_FUNCTION_NAMES)

set (HARDENING_FLAGS            "-Wformat -Wformat-security -D_FORTIFY_SOURCE=2 -fstack-protector")
set (LINKER_HARDENING_FLAGS     "-Wl,-z,relro -Wl,-z,now")

# To find unused functions, add: -flto -fwhole-program -ffunction-sections -Wl,--gc-sections -Wl,--print-gc-sections
set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} -Wall -D_BSD_SOURCE -D_ISOC99_SOURCE -D_SVID_SOURCE -D_DEFAULT_SOURCE -D_FILE_OFFSET_BITS=64")

set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror -Wshadow ${COVERAGE_FLAGS} ${DEBUG_FUNCTION_NAMES_FLAGS}")
set (CMAKE_C_FLAGS_RELEASE      "${CMAKE_C_FLAGS_RELEASE} ${HARDENING_FLAGS}")

# Flags used only for the gvmd binary, and not for the Postgres module.
set (C_FLAGS_DEBUG_GVMD         "-Wredundant-decls")

if (NOT SKIP_SRC)
  add_subdirectory (src)
endif (NOT SKIP_SRC)

## Documentation

add_subdirectory (doc)

## Install

install (CODE "file (MAKE_DIRECTORY \$ENV{DESTDIR}${GVMD_DATA_DIR}/report_formats)")

install (DIRECTORY DESTINATION ${GVMD_STATE_DIR})

install (FILES ${CMAKE_BINARY_DIR}/src/gvmd_log.conf
         DESTINATION ${GVM_SYSCONF_DIR})

install (FILES ${CMAKE_SOURCE_DIR}/src/pwpolicy.conf
         DESTINATION ${GVM_SYSCONF_DIR})

# Report formats.

install (FILES src/report_formats/Anonymous_XML/report_format.xml
         DESTINATION ${GVMD_DATA_DIR}/report_formats/5057e5cc-b825-11e4-9d0e-28d24461215b
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/report_formats/Anonymous_XML/Anonymous_XML.xsl
         DESTINATION ${GVMD_DATA_DIR}/report_formats/5057e5cc-b825-11e4-9d0e-28d24461215b
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/report_formats/Anonymous_XML/generate
         DESTINATION ${GVMD_DATA_DIR}/report_formats/5057e5cc-b825-11e4-9d0e-28d24461215b
         PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES src/report_formats/ARF/report_format.xml
         DESTINATION ${GVMD_DATA_DIR}/report_formats/910200ca-dc05-11e1-954f-406186ea4fc5/
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/report_formats/ARF/ARF.xsl
         DESTINATION ${GVMD_DATA_DIR}/report_formats/910200ca-dc05-11e1-954f-406186ea4fc5/
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/report_formats/ARF/generate
         DESTINATION ${GVMD_DATA_DIR}/report_formats/910200ca-dc05-11e1-954f-406186ea4fc5/
         PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES src/report_formats/CPE/report_format.xml
         DESTINATION ${GVMD_DATA_DIR}/report_formats/5ceff8ba-1f62-11e1-ab9f-406186ea4fc5/
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/report_formats/CPE/CPE.xsl
         DESTINATION ${GVMD_DATA_DIR}/report_formats/5ceff8ba-1f62-11e1-ab9f-406186ea4fc5/
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)

install (FILES src/report_formats/CPE/generate
         DESTINATION ${GVMD_DATA_DIR}/report_formats/5ceff8ba-1f62-11e1-ab9f-406186ea4fc5/
         PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES src/report_formats/CSV_Results/report_format.xml

=== doc/CMakeLists.txt ===
# Copyright (C) 2009-2019 Greenbone Networks GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

## Find xml2man

message (STATUS "Looking for xmltoman...")

find_program (XMLTOMAN_EXECUTABLE xmltoman
              PATHS /bin /usr/bin /usr/local/bin/
              DOC "xmltoman location")

message (STATUS "Looking for xmltoman... ${XMLTOMAN_EXECUTABLE}")

find_program (XMLMANTOHTML_EXECUTABLE xmlmantohtml
              PATHS /bin /usr/bin /usr/local/bin/
              DOC "xmlmantohtml location")

message (STATUS "Looking for xmlmantohtml... ${XMLMANTOHTML_EXECUTABLE}")

# FIX find_program seems to follow symlink
if (XMLMANTOHTML_EXECUTABLE)
  set (XMLMANTOHTML_EXECUTABLE xmlmantohtml)
endif (XMLMANTOHTML_EXECUTABLE)

message (STATUS "Looking for xsltproc...")

find_program (XSLTPROC_EXECUTABLE xsltproc
              PATHS /bin /usr/bin /usr/local/bin/
              DOC "xsltproc location")

message (STATUS "Looking for xsltproc... ${XSLTPROC_EXECUTABLE}")

## build

set_directory_properties (PROPERTIES CLEAN_NO_CUSTOM true)
set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ".built-html;.built-html_full")

include (FindDoxygen)

if (NOT DOXYGEN_EXECUTABLE)
  message (STATUS "WARNING: Doxygen is required to build the HTML docs.")
else (NOT DOXYGEN_EXECUTABLE)
  add_custom_target (doc COMMENT "Building documentation..."
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gvmd.8 ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile ${CMAKE_CURRENT_BINARY_DIR}/.built-html)

  add_custom_command (OUTPUT .built-html
    COMMAND sh
    ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-html\;\"
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gvmd.html ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  add_custom_target (doc-full COMMENT "Building documentation..."
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gvmd.8 ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full ${CMAKE_CURRENT_BINARY_DIR}/.built-html_full)

  add_custom_command (OUTPUT .built-html_full
    COMMAND sh
    ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-html_full\;\"
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gvmd.html ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full)

  add_custom_target (doc-xml COMMENT "Building documentation (XML)..."
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_xml ${CMAKE_CURRENT_BINARY_DIR}/.built-xml)

  add_custom_command (OUTPUT .built-xml
    COMMAND sh
    ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_xml && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-xml\;\"
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_xml)
endif (NOT DOXYGEN_EXECUTABLE)

if (NOT XSLTPROC_EXECUTABLE)
  message (WARNING "xsltproc is required to build the protocol documentation")
else (NOT XSLTPROC_EXECUTABLE)
  add_custom_target (doc-gmp ALL COMMENT "Building GMP documentation..."
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gmp.rnc ${CMAKE_CURRENT_BINARY_DIR}/gmp.html)

  add_custom_command (OUTPUT gmp.rnc
    COMMAND sh
    ARGS -c \"cd ${CMAKE_SOURCE_DIR}/src/schema_formats/RNC && ${XSLTPROC_EXECUTABLE} ./RNC.xsl ${CMAKE_BINARY_DIR}/src/schema_formats/XML/GMP.xml > ${CMAKE_BINARY_DIR}/doc/gmp.rnc\;\"
    DEPENDS
    ${CMAKE_BINARY_DIR}/src/schema_formats/XML/GMP.xml
    ${CMAKE_SOURCE_DIR}/src/schema_formats/RNC/generate
    ${CMAKE_SOURCE_DIR}/src/schema_formats/RNC/RNC.xsl
    ${CMAKE_SOURCE_DIR}/src/schema_formats/RNC/rnc.xsl)

  add_custom_command (OUTPUT gmp.html
    COMMAND sh
    ARGS -c \"cd ${CMAKE_SOURCE_DIR}/src/schema_formats/HTML && ${XSLTPROC_EXECUTABLE} ./HTML.xsl ${CMAKE_BINARY_DIR}/src/schema_formats/XML/GMP.xml > ${CMAKE_BINARY_DIR}/doc/gmp.html\;\"
    DEPENDS
    ${CMAKE_BINARY_DIR}/src/schema_formats/XML/GMP.xml
    ${CMAKE_SOURCE_DIR}/src/schema_formats/HTML/generate
    ${CMAKE_SOURCE_DIR}/src/schema_formats/HTML/HTML.xsl
    ${CMAKE_SOURCE_DIR}/src/schema_formats/HTML/rnc.xsl)
endif (NOT XSLTPROC_EXECUTABLE)

if (XMLTOMAN_EXECUTABLE)
  add_custom_target (man COMMENT "Building manual page..."
    DEPENDS gvmd.8 greenbone-certdata-sync.8 greenbone-scapdata-sync.8
            gvm-migrate-to-postgres.8 gvm-portnames-update.8)

  add_custom_command (OUTPUT gvmd.8
					  COMMAND sh
					  ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/gvmd.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/gvmd.8\;\"
					  DEPENDS gvmd.8.xml)

  add_custom_command (OUTPUT greenbone-certdata-sync.8
					  COMMAND sh
					  ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/greenbone-certdata-sync.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/greenbone-certdata-sync.8\;\"
					  DEPENDS greenbone-certdata-sync.8.xml)

  add_custom_command (OUTPUT greenbone-scapdata-sync.8
					  COMMAND sh
					  ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/greenbone-scapdata-sync.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/greenbone-scapdata-sync.8\;\"
					  DEPENDS greenbone-scapdata-sync.8.xml)

  add_custom_command (OUTPUT gvm-migrate-to-postgres.8
					  COMMAND sh
					  ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/gvm-migrate-to-postgres.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/gvm-migrate-to-postgres.8\;\"
					  DEPENDS gvm-migrate-to-postgres.8.xml)

  add_custom_command (OUTPUT gvm-portnames-update.8
					  COMMAND sh
					  ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/gvm-portnames-update.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/gvm-portnames-update.8\;\"
					  DEPENDS gvm-portnames-update.8.xml)
else (XMLTOMAN_EXECUTABLE)
  message (STATUS "WARNING: xmltoman is required to generate manpage.")
  add_custom_command (OUTPUT gvmd.8
                      COMMAND echo "[Error: xmltoman required to see manpage here]"
					          > gvmd.8)
  add_custom_command (OUTPUT greenbone-certdata-sync.8
                      COMMAND echo "[Error: xmltoman required to see manpage here]"
					          > greenbone-certdata-sync.8)
  add_custom_command (OUTPUT greenbone-scapdata-sync.8
                      COMMAND echo "[Error: xmltoman required to see manpage here]"
					          > greenbone-scapdata-sync.8)
  add_custom_command (OUTPUT gvm-migrate-to-postgres.8
                      COMMAND echo "[Error: xmltoman required to see manpage here]"
					          > gvm-migrate-to-postgres.8)
  add_custom_command (OUTPUT gvm-portnames-update.8
                      COMMAND echo "[Error: xmltoman required to see manpage here]"
					          > gvm-portnames-update.8)
endif (XMLTOMAN_EXECUTABLE)

if (XMLMANTOHTML_EXECUTABLE)
  add_custom_target (man-html COMMENT "Building manual page HTML..."
    DEPENDS gvmd.html)

  add_custom_command (OUTPUT gvmd.html
					  COMMAND sh
					  ARGS -c \"${XMLMANTOHTML_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/gvmd.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/gvmd.html\;\"
					  DEPENDS gvmd.8.xml)
else (XMLMANTOHTML_EXECUTABLE)
  message (STATUS "WARNING: xmlmantohtml is required for manpage in HTML docs.")
  add_custom_command (OUTPUT gvmd.html
                      COMMAND echo "[Error: xmlmantohtml required to see manpage here]"
					          > gvmd.html)
endif (XMLMANTOHTML_EXECUTABLE)

## Install

if (XSLTPROC_EXECUTABLE)
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/gmp.html
    DESTINATION share/doc/gvm/html/
    COMPONENT doc)
endif (XSLTPROC_EXECUTABLE)

install (FILES gvmd.8 greenbone-certdata-sync.8 greenbone-scapdata-sync.8
               gvm-migrate-to-postgres.8 gvm-portnames-update.8
  DESTINATION share/man/man8/
  COMPONENT doc)

=== src/CMakeLists.txt ===
# Copyright (C) 2009-2019 Greenbone Networks GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

## Libraries

find_package (Threads)

## Dependency checks
##
## TODO Also check for headers where needed.
## Improve for workflow: First collect list of missing libs, then print the
## list and throw an error, otherwise long install-cmake-install-cmake cycles
## might occur.

pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=11.0.1)
pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=11.0.1)
pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=11.0.1)
pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=11.0.1)
pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
pkg_check_modules (LIBICAL REQUIRED libical>=1.00)

message (STATUS "Looking for PostgreSQL...")
find_program (PG_CONFIG_EXECUTABLE pg_config DOC "pg_config")
execute_process (COMMAND ${PG_CONFIG_EXECUTABLE} --includedir-server
                 OUTPUT_VARIABLE PostgreSQL_SERVER_INCLUDE_DIRS
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
set(PostgreSQL_ADDITIONAL_SEARCH_PATHS ${PostgreSQL_SERVER_INCLUDE_DIRS})
find_package (PostgreSQL REQUIRED)
if (NOT PostgreSQL_FOUND)
  message (SEND_ERROR "The PostgreSQL library is required.")
endif (NOT PostgreSQL_FOUND)
string (REGEX MATCH "^[ \t]*\([0-9]+\)\\.\([0-9]+\)\(.*\)" TEMP ${PostgreSQL_VERSION_STRING})
if (NOT CMAKE_MATCH_1)
  message (SEND_ERROR "Error matching PostgreSQL version.")
elseif ((CMAKE_MATCH_1 EQUAL 9 AND CMAKE_MATCH_2 LESS 6)
        OR (CMAKE_MATCH_1 LESS 9))
  message (SEND_ERROR "PostgreSQL version >= 9.6 is required")
  message (STATUS "PostgreSQL version ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}${CMAKE_MATCH_3}")
endif (NOT CMAKE_MATCH_1)

message (STATUS "Looking for xml_split...")
find_program (XML_SPLIT_EXECUTABLE xml_split DOC "xml_split")
if (NOT XML_SPLIT_EXECUTABLE)
  message (WARNING "xml_split is recommended to reduce SCAP sync memory usage (Debian package xml-twig-tools).")
else (NOT XML_SPLIT_EXECUTABLE)
  message (STATUS "Looking for xml_split... ${XML_SPLIT_EXECUTABLE}")
endif (NOT XML_SPLIT_EXECUTABLE)

message (STATUS "Looking for gpgme...")
find_library (GPGME gpgme)
if (NOT GPGME)
  message (SEND_ERROR "The gpgme library is required.")
else (NOT GPGME)
  message (STATUS "Looking for gpgme... ${GPGME}")
  execute_process (COMMAND gpgme-config --cflags
    OUTPUT_VARIABLE GPGME_CFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  execute_process (COMMAND gpgme-config --libs
    OUTPUT_VARIABLE GPGME_LDFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE)
endif (NOT GPGME)

include_directories (${LIBGVM_GMP_INCLUDE_DIRS}
                     ${LIBGVM_BASE_INCLUDE_DIRS} ${LIBGVM_UTIL_INCLUDE_DIRS}
                     ${LIBGVM_OSP_INCLUDE_DIRS}  ${GLIB_INCLUDE_DIRS})

add_library (gvm-pg-server SHARED
             manage_pg_server.c manage_utils.c)
set_target_properties (gvm-pg-server PROPERTIES SOVERSION "${CPACK_PACKAGE_VERSION_MAJOR}")
set_target_properties (gvm-pg-server PROPERTIES VERSION "${CPACK_PACKAGE_VERSION}")
include_directories (${PostgreSQL_INCLUDE_DIRS} ${PostgreSQL_SERVER_INCLUDE_DIRS})

## Program

add_executable (manage-utils-test
                EXCLUDE_FROM_ALL
                manage_utils_tests.c

                gvmd.c gmpd.c
                manage.c sql.c
                manage_ranges_all_tcp_nmap_5_51_top_100.c
                manage_ranges_all_tcp_nmap_5_51_top_1000.c
                manage_ranges_iana_tcp_2012.c manage_ranges_iana_tcp_udp_2012.c
                manage_ranges_nmap_5_51_top_2000_top_100.c
                manage_acl.c manage_configs.c manage_config_discovery.c
                manage_config_host_discovery.c manage_config_system_discovery.c
                manage_config_base.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_configs.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_tickets.c gmp_tls_certificates.c)

add_test (manage-utils-test manage-utils-test)

add_executable (manage-test
                EXCLUDE_FROM_ALL
                manage_tests.c

                gvmd.c gmpd.c
                manage_utils.c sql.c
                manage_ranges_all_tcp_nmap_5_51_top_100.c
                manage_ranges_all_tcp_nmap_5_51_top_1000.c
                manage_ranges_iana_tcp_2012.c manage_ranges_iana_tcp_udp_2012.c
                manage_ranges_nmap_5_51_top_2000_top_100.c
                manage_acl.c manage_configs.c manage_config_discovery.c
                manage_config_host_discovery.c manage_config_system_discovery.c
                manage_config_base.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_configs.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_tickets.c gmp_tls_certificates.c)

add_test (manage-test manage-test)

add_executable (gmp-tickets-test
                EXCLUDE_FROM_ALL
                gmp_tickets_tests.c

                gvmd.c gmpd.c
                manage_utils.c manage.c sql.c
                manage_ranges_all_tcp_nmap_5_51_top_100.c
                manage_ranges_all_tcp_nmap_5_51_top_1000.c
                manage_ranges_iana_tcp_2012.c manage_ranges_iana_tcp_udp_2012.c
                manage_ranges_nmap_5_51_top_2000_top_100.c
                manage_acl.c manage_configs.c manage_config_discovery.c
                manage_config_host_discovery.c manage_config_system_discovery.c
                manage_config_base.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_configs.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_tls_certificates.c)

add_test (gmp-tickets-test gmp-tickets-test)

add_custom_target (tests
                   DEPENDS gmp-tickets-test manage-test manage-utils-test)

add_executable (gvmd
                main.c gvmd.c gmpd.c
                manage_utils.c manage.c sql.c
                manage_ranges_all_tcp_nmap_5_51_top_100.c
                manage_ranges_all_tcp_nmap_5_51_top_1000.c
                manage_ranges_iana_tcp_2012.c manage_ranges_iana_tcp_udp_2012.c
                manage_ranges_nmap_5_51_top_2000_top_100.c
                manage_acl.c manage_configs.c manage_config_discovery.c
                manage_config_host_discovery.c manage_config_system_discovery.c
                manage_config_base.c
                manage_sql.c manage_sql_nvts.c manage_sql_secinfo.c
                manage_sql_configs.c
                manage_sql_tickets.c manage_sql_tls_certificates.c
                manage_tls_certificates.c
                manage_migrators.c
                sql_pg.c manage_pg.c
                lsc_user.c lsc_crypt.c utils.c
                gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
                gmp_tickets.c gmp_tls_certificates.c)

target_link_libraries (gvmd m
                       ${GNUTLS_LDFLAGS} ${GPGME_LDFLAGS} ${CMAKE_THREAD_LIBS_INIT} ${LINKER_HARDENING_FLAGS} ${LINKER_DEBUG_FLAGS}
                       ${PostgreSQL_LIBRARIES} ${GLIB_LDFLAGS} ${GTHREAD_LDFLAGS}
                       ${LIBGVM_BASE_LDFLAGS} ${LIBGVM_UTIL_LDFLAGS} ${LIBGVM_OSP_LDFLAGS} ${LIBGVM_GMP_LDFLAGS}
                       ${LIBICAL_LDFLAGS} ${LINKER_HARDENING_FLAGS})
target_link_libraries (manage-test cgreen m
                       ${GNUTLS_LDFLAGS} ${GPGME_LDFLAGS} ${CMAKE_THREAD_LIBS_INIT} ${LINKER_HARDENING_FLAGS} ${LINKER_DEBUG_FLAGS}
                       ${PostgreSQL_LIBRARIES} ${GLIB_LDFLAGS} ${GTHREAD_LDFLAGS}
                       ${LIBGVM_BASE_LDFLAGS} ${LIBGVM_UTIL_LDFLAGS} ${LIBGVM_OSP_LDFLAGS} ${LIBGVM_GMP_LDFLAGS}
                       ${LIBICAL_LDFLAGS} ${LINKER_HARDENING_FLAGS})
target_link_libraries (manage-utils-test cgreen m
                       ${GNUTLS_LDFLAGS} ${GPGME_LDFLAGS} ${CMAKE_THREAD_LIBS_INIT} ${LINKER_HARDENING_FLAGS} ${LINKER_DEBUG_FLAGS}
                       ${PostgreSQL_LIBRARIES} ${GLIB_LDFLAGS} ${GTHREAD_LDFLAGS}
                       ${LIBGVM_BASE_LDFLAGS} ${LIBGVM_UTIL_LDFLAGS} ${LIBGVM_OSP_LDFLAGS} ${LIBGVM_GMP_LDFLAGS}
                       ${LIBICAL_LDFLAGS} ${LINKER_HARDENING_FLAGS}
                       -Wl,--wrap=time)
target_link_libraries (gmp-tickets-test cgreen m
                       ${GNUTLS_LDFLAGS} ${GPGME_LDFLAGS} ${CMAKE_THREAD_LIBS_INIT} ${LINKER_HARDENING_FLAGS} ${LINKER_DEBUG_FLAGS}
                       ${PostgreSQL_LIBRARIES} ${GLIB_LDFLAGS} ${GTHREAD_LDFLAGS}
                       ${LIBGVM_BASE_LDFLAGS} ${LIBGVM_UTIL_LDFLAGS} ${LIBGVM_OSP_LDFLAGS} ${LIBGVM_GMP_LDFLAGS}
                       ${LIBICAL_LDFLAGS} ${LINKER_HARDENING_FLAGS})
target_link_libraries (gvm-pg-server ${GLIB_LDFLAGS} ${GTHREAD_LDFLAGS} ${LIBGVM_BASE_LDFLAGS} ${LIBGVM_UTIL_LDFLAGS} ${LIBICAL_LDFLAGS} ${LINKER_HARDENING_FLAGS})

set_target_properties (gvmd PROPERTIES LINKER_LANGUAGE C)
set_target_properties (manage-test PROPERTIES LINKER_LANGUAGE C)
set_target_properties (manage-utils-test PROPERTIES LINKER_LANGUAGE C)
set_target_properties (gmp-tickets-test PROPERTIES LINKER_LANGUAGE C)

if (DEBUG_FUNCTION_NAMES)
  add_definitions (-DDEBUG_FUNCTION_NAMES)
endif (DEBUG_FUNCTION_NAMES)

if (GVMD_VERSION)
  add_definitions (-DGVMD_VERSION="${GVMD_VERSION}")
endif (GVMD_VERSION)

if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
  target_compile_options (gvmd PUBLIC ${C_FLAGS_DEBUG_GVMD})
  target_compile_options (manage-test PUBLIC ${C_FLAGS_DEBUG_GVMD})
  target_compile_options (manage-utils-test PUBLIC ${C_FLAGS_DEBUG_GVMD})
  target_compile_options (gmp-tickets-test PUBLIC ${C_FLAGS_DEBUG_GVMD})

  # If we got GIT_REVISION at configure time,
  # assume we can get it at build time as well
  if (GIT_REVISION)
    # a custom target that is always built
    add_custom_target (revisiontag ALL)

    # creates gitversion.h using cmake script
    add_custom_command (TARGET revisiontag COMMAND ${CMAKE_COMMAND}
                        -DSOURCE_DIR=${CMAKE_SOURCE_DIR}
                        -P ${CMAKE_SOURCE_DIR}/cmake/GetGit.cmake)

    # explicitly say that the executable depends on custom target
    add_dependencies (gvmd revisiontag)

    # include the output directory, where the gitversion.h file is generated
    include_directories (${CMAKE_CURRENT_BINARY_DIR})
    add_definitions (-DGIT_REV_AVAILABLE)
  endif (GIT_REVISION)
endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")

if (GMP_VERSION)
  add_definitions (-DGMP_VERSION="${GMP_VERSION}")
endif (GMP_VERSION)

add_definitions (-DGVMD_DATABASE_VERSION=${GVMD_DATABASE_VERSION})

=== debian/changelog ===
gvmd (9.0.1-3ubuntu1) groovy; urgency=medium

  * Fix FTBFS and autopkgtest with glibc 2.32

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 Sep 2020 14:10:08 +0200

gvmd (9.0.1-3) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * store the postgresql version for check in gvm package

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 07 Aug 2020 21:22:43 +0200

gvmd (9.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Fix SQL query in Fix-gvm-migrate-to-postgres.patch (Closes: #966632)
  * Update gvmd.service to start after ospd-openvas

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 06 Aug 2020 14:54:15 +0200

gvmd (9.0.1-1) unstable; urgency=medium

  * Team upload

  [ Sophie Brun ]
  * Import upstream patch to fix db migration
  * Update debian/README.Debian

  [ Raphaël Hertzog ]
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Get rid of /var/lib/gvm/{private,}/CA during purge (Closes: #905518)
  * Extend descriptions of patches

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 31 Jul 2020 17:04:50 +0200

gvmd (9.0.1-1~exp1) experimental; urgency=medium

  [ Sophie Brun ]
  * Switch to gvmd
  * New upstream version 9.0.0
  * Switch all debian/* to gvmd
  * Update docs installation
  * Add missing DPostgreSQL_TYPE_INCLUDE_DIR in debian/rules
  * Add a patch to fix small spelling error
  * Update debian/gvmd.service
  * Update debian/copyright
  * Update Vcs-* fields for gvmd
  * Import upstream patch to fix gvm-portnames-update
  * Use postgres in gvm-portnames-update
  * Bump Standards-Version to 4.5.0
  * Use debhelper-compat 12
  * Use a special user _gvm and change GVM_RUN_DIR
  * Don't start service after installation
  * Add /var/lib/gvm/private directory
  * Update gvmd.service to use ospd
  * New upstream version 9.0.1
  * Update minimal required version of libgvm11
  * Improve gvmd.service
  * Add permissions to /var/log/gvm and /var/lib/gvm
  * Remove change-GVM_RUN_DIR.patch, use parameter to change GVM_RUN_DIR
  * Fix debian/gvmd.logrotate with user _gvm and pid location
  * Add missing dependency: postgresql
  * Add a patch to change lockfile location

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

  [ SZ Lin (林上智) ]
  * Add autopkgtest test case
  * Add patch for removing tests of removed functions
  * Move adduser package from B-D to D for postinst usage
  * Update copyright information
  * Update uploaders information
  * Set Rules-Requires-Root: no
  * Bump debhelper-compat to 13
  * Add upstream metadata

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 03 Jul 2020 10:43:27 +0800

openvas-manager (7.0.3-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Update debian/watch and debian/control with new upstream github repository
  * Import new usptream release
  * Update date in debian/copyright
  * Update minimal required version of libopenvas-dev
  * Add texlive-latex-extra in Recommends (see
    https://bugs.kali.org/view.php?id=4839)

  [ Raphaël Hertzog ]
  * Drop the patch, it has been merged upstream.
  * Bump Standards-Version to 4.1.5.

 -- Sophie Brun <sophie@freexian.com>  Fri, 06 Jul 2018 14:57:27 +0200

openvas-manager (7.0.2-4) unstable; urgency=medium

  * Team upload.
  * Revert "Replace insecure URI to secure URI in d/watch"
  * Clean up rules file
    - use dh_missing --fail-missing instead of dh_install's option
    - move some commands to their logical place (fix permissions in
      override_dh_fixperms, dropping installed files right after their
      installation)
  * Add usual values to openvas-manager.init's Default-Start field
  * Drop debian/.git-dpm, we don't use that tool
  * Install upstream's README properly
  * Drop debian/openvas-manager.manpages since manual pages are installed by
    cmake
  * Install files from /usr/share/man/man1/ in openvas-manager-common too
  * Automatically setup the required certificate files in the postinst

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 Apr 2018 00:04:52 +0200

openvas-manager (7.0.2-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Update team maintainer address to Debian Security Tools

  [ Helmut Grohne ]
  * Drop unused Build-Depends: flawfinder. (Closes: #893918)

  [ SZ Lin (林上智) ]
  * d/control: Bump standards version to 4.1.3
  * d/control: Bump version of "debhelper" to 11
  * d/compat: Bump compat version to 11
  * d/watch: Replace insecure URI to secure URI
  * d/copyright: Replace insecure URI to secure URI

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 04 Apr 2018 21:51:26 +0800

openvas-manager (7.0.2-2) unstable; urgency=medium

  [ Javier Fernández-Sanguino Peña ]
  * Merge previous changelog entries from the package that were in
    experimental some years ago (Closes: #873967)

  [ SZ Lin (林上智) ]
  * d/control: Bump standards version to 4.1.2
  * d/control: Bump version of "debhelper" to 10
  * d/compat: Bump compat version to 10
  * d/rules: Remove unnecessary parameter in dh
  * Import patch from upstream to fix scheduled task failing issue
    (Closes: #868123)

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 01 Dec 2017 14:30:20 +0800

openvas-manager (7.0.2-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Jun 2017 17:10:43 +0800

openvas-manager (7.0.1-3) unstable; urgency=medium

  * Fix FTBFS issue (Closes: #865291)

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 23:35:04 +0800

openvas-manager (7.0.1-2) unstable; urgency=medium

  * Move package from experimental to sid archive
  * Bump standards version to 4.0.0

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 11:28:21 +0800

openvas-manager (7.0.1-1~exp1) experimental; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 22 Mar 2017 20:17:38 +0800



=== debian/control ===
Source: gvmd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: SZ Lin (林上智) <szlin@debian.org>,
           Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 2.8),
               doxygen,
	       libical-dev (>= 1.0),
               libgvm-dev (>= 11.0.1),
               libsqlite3-dev,
	       postgresql-server-dev-all,
               pkg-config,
               xmltoman,
               gnutls-bin (>= 3.2.15)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.greenbone.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/gvmd.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvmd

Package: gvmd-common
Section: net
Architecture: all
Recommends: texlive-latex-extra
Depends: ${misc:Depends}, gnutls-bin (>= 3.2.15)
Multi-Arch: foreign
Suggests: python3, gnupg, wget, xsltproc
Description: architecture independent files for Greenbone Vulnerability Manager
 The Greenbone Vulnerability Manager is the central management service between
 security scanners and the user clients.
 .
 It manages the storage of any vulnerability management configurations and of
 the scan results. Access to data, control commands and workflows is offered
 via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
 openVAS Scanner is controlled directly via protocol OTP while any other remote
 scanner is coupled with the Open Scanner Protocol (OSP).
 .
 This package contains the common gvmd files shared by all architectures.

Package: gvmd
Section: net
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-6),
         doc-base,
         gvmd-common (= ${source:Version}),
	 postgresql,
	 xml-twig-tools,
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: openvas-administrator, openvas-manager
Replaces: openvas-administrator, libopenvas6, openvas-manager
Description: Manager Module of Greenbone Vulnerability Manager
 The Greenbone Vulnerability Manager is the central management service between
 security scanners and the user clients.
 .
 It manages the storage of any vulnerability management configurations and of
 the scan results. Access to data, control commands and workflows is offered
 via the XML-based Greenbone Management Protocol (GMP). The primary scanner,
 openVAS Scanner is controlled directly via protocol OTP while any other remote
 scanner is coupled with the Open Scanner Protocol (OSP).
 .
 This package contains the gvmd files architecture dependent.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release -DPostgreSQL_TYPE_INCLUDE_DIR=/usr/include/postgresql -DBACKEND=POSTGRESQL -DGVM_RUN_DIR=/var/run/gvm

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/share/gvm/gvm-lsc-rpm-creator.sh
# store the postgresql version used for compilation so that we can check
# that we have the same version in gvm-setup / gvm-check-setup during runtime
	mkdir -p debian/tmp/usr/share/gvmd
	pkg-config --modversion libpq > debian/tmp/usr/share/gvmd/postgresql-version

override_dh_auto_test:
	# disabled because make check fails

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-indep:
	find debian/gvmd-common/usr/share/gvm/gvmd -name alert -o -name generate | \
		xargs --no-run-if-empty chmod 755
	dh_fixperms

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_installinit:
	dh_installinit --no-start
